#!/bin/sh
#\
exec wish "$0" "$@"
set sld(dir) /usr/lib/slidedraw
# BK set sld(fontfamilies) {Cooper Peignot Amelio DomCasual Iglesia  Blippo Florab ParkAvenue RoostHeavy Show Slogan Tekton WindsorDemi}
set sld(fontfamilies) {Bookman "Bookman L" Avantgarde "Century Schoolbook" "Gothic L" "Nimbus Mono L" "Nimbus Roman No9 L" "Nimbus Sans L" Palatino Symbol "Zapf Chancery" "Zapf Dingbats"}
set sld(colorlist) {red green blue yellow orange  pink violet maroon khaki aquamarine white gray70 gray50 gray30 black}


# load extensions library
#BK this is for background gradients, now using netpbm...
#BK load libsld.so.1

# make library directory accessible
set auto_path [linsert $auto_path 0 $sld(dir)/lib]

# define (mainly sld() array) variables 
setDefaults 

# create the main widgets
makeGUI

# make default bindings for the canvas objects and the canvas itself
canvasBind

# to save config when the window manager try to quit us
wm protocol . WM_DELETE_WINDOW "saveConfig; exit"

# update last visited files
if {![info exists sld(files)]} { set sld(files) {} }
fileListUpdate

##### end of file

